/*
Nome: Mario
Cognome: Montanari
Classe: 3AIN
Data: 21/03/2025

Leggere e visualizzare il file “vmware.log” una linea per volta.
*/

#include <iostream>

using namespace std;

int main(void) {
	FILE *fp = fopen("vmware (1).log", "rt");
	
	if (fp != NULL) {
		char str[1000+1]; // usiamo un numero grande perchè con sappiamo quante deve essere lunga la stringa
		
		while ((fgets(str, sizeof(str), fp)) != NULL) { // usa per la linea
			cout << str;
		}
		
		fclose(fp);
	} else {
		perror("Error (source)");
	}
	
	return 0;
}